# Interface BindingPatternTree

All Superinterfaces:
  `PatternTree, Tree`

public interface BindingPatternTree extends PatternTree
A binding pattern tree

Since:
  16

## Nested Class Summary

### Nested classes/interfaces declared in interface Tree

`Tree.Kind`
Modifier and Type
Interface
Description
`static enum`
`Tree.Kind`
Enumerates all kinds of trees.

## Method Summary

Modifier and Type
Method
Description
`VariableTree`
`getVariable()`
Returns the binding variable.

### Methods declared in interface Tree

`accept, getKind`
Modifier and Type
Method
Description
`<R,D> R`
`accept(TreeVisitor<R,D> visitor, D data)`
Accept method used to implement the visitor pattern.
`Tree.Kind`
`getKind()`
Returns the kind of this tree.

## Method Details

### getVariable

VariableTree getVariable()
Returns the binding variable.

Returns:
  the binding variable